com.sun.java.xml.ns.javaee

## Class FormLoginConfigType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.FormLoginConfigType

-     public class FormLoginConfigType
      extends Object

  The form-login-configType specifies the login and error pages that should be used in form based login. If form based authentication is not used, these elements are ignored. Used in: login-config

  Java-Klasse für form-login-configType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="form-login-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="form-login-page" type="{http://java.sun.com/xml/ns/javaee}war-pathType"/>
               <element name="form-error-page" type="{http://java.sun.com/xml/ns/javaee}war-pathType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WarPathType` | `formErrorPage`
    `protected WarPathType` | `formLoginPage`
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormLoginConfigType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WarPathType` | `getFormErrorPage()` Ruft den Wert der formErrorPage-Eigenschaft ab.
    `WarPathType` | `getFormLoginPage()` Ruft den Wert der formLoginPage-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `void` | `setFormErrorPage(WarPathType value)` Legt den Wert der formErrorPage-Eigenschaft fest.
    `void` | `setFormLoginPage(WarPathType value)` Legt den Wert der formLoginPage-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### formLoginPage

          protected WarPathType formLoginPage

    - #### formErrorPage

          protected WarPathType formErrorPage

    - #### id

          protected String id

  - ### Constructor Detail

    - #### FormLoginConfigType

          public FormLoginConfigType()

  - ### Method Detail

    - #### getFormLoginPage

          public WarPathType getFormLoginPage()

      Ruft den Wert der formLoginPage-Eigenschaft ab.
      Returns:
        possible object is `WarPathType`

    - #### setFormLoginPage

          public void setFormLoginPage(WarPathType value)

      Legt den Wert der formLoginPage-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `WarPathType`

    - #### getFormErrorPage

          public WarPathType getFormErrorPage()

      Ruft den Wert der formErrorPage-Eigenschaft ab.
      Returns:
        possible object is `WarPathType`

    - #### setFormErrorPage

          public void setFormErrorPage(WarPathType value)

      Legt den Wert der formErrorPage-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `WarPathType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.